cdac.medinfo.sdk.hl7282.baselibs.segments

## Class EQU

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.EQU

- All Implemented Interfaces:
    ISegment

      public class EQU
      extends Segment

  EQU - Equipment Detail Segment

  The equipment detail segment contains the data necessary to identify and maintain the equipment that is being used throughout the Laboratory Automation System.

  Represents an HL7 EQU message segment. This segment has the following fields:

  EQU-1: Equipment Instance Identifier (EI)Required
  EQU-2: Event Date/Time (DTM)Required
  EQU-3: Equipment State (CWE)Conditional
  EQU-4: Local/Remote Control State (CWE)Optional
  EQU-5: Alert Level (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EQU()` Constructs the EQU segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getAlertLevel()` Retrieves the Alert Level.
    `EI` | `getEquipmentInstanceIdentifier()` Retrieves the Equipment Instance Identifier.
    `CWE` | `getEquipmentState()` Retrieves the Equipment State.
    `DTM` | `getEventDate_Time()` Retrieves the Event Date Time.
    `CWE` | `getLocal_RemoteControlState()` Retrieves the Local Remote Control State.
    `void` | `setAlertLevel(CWE objAlertLevel)` Set the Alert Level.
    `void` | `setAlertLevel(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Alert Level.
    `void` | `setEquipmentInstanceIdentifier(EI objEquipmentInstanceIdentifier)` Set the Equipment Instance Identifier.
    `void` | `setEquipmentInstanceIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Equipment Instance Identifier.
    `void` | `setEquipmentState(CWE objEquipmentState)` Set the Equipment State.
    `void` | `setEquipmentState(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Equipment State.
    `void` | `setEventDate_Time(DTM objEventDate_Time)` Set the Event Date Time.
    `void` | `setEventDate_Time(java.lang.String strDate)` Set the Event Date Time.
    `void` | `setLocal_RemoteControlState(CWE objLocal_RemoteControlState)` Set the Local Remote Control State.
    `void` | `setLocal_RemoteControlState(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Local Remote Control State.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EQU

          public EQU()

      Constructs the EQU segment.

  - ### Method Detail

    - #### setEquipmentInstanceIdentifier

          public void setEquipmentInstanceIdentifier(java.lang.String strEntityIdentifier,
                                            java.lang.String strNamespaceId,
                                            java.lang.String strUniversalId,
                                            java.lang.String strUniversalIdType)

      Set the Equipment Instance Identifier. This field specify who identify the equipment.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### setEquipmentInstanceIdentifier

          public void setEquipmentInstanceIdentifier(EI objEquipmentInstanceIdentifier)

      Set the Equipment Instance Identifier. This field specify who identify the equipment.
      Parameters:
        `objEquipmentInstanceIdentifier` - Object of Equipment Instance Identifier.

    - #### setEventDate_Time

          public void setEventDate_Time(java.lang.String strDate)

      Set the Event Date Time. This field shows the date/time of the event occur.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventDate_Time

          public void setEventDate_Time(DTM objEventDate_Time)

      Set the Event Date Time. This field shows the date/time of the event occur.
      Parameters:
        `objEventDate_Time` - Object of Event Date Time.

    - #### setEquipmentState

          public void setEquipmentState(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Equipment State. This field identify the status of the equipment, at the time, that the transaction is initiate.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEquipmentState

          public void setEquipmentState(CWE objEquipmentState)

      Set the Equipment State. This field identify the status of the equipment, at the time, that the transaction is initiate.
      Parameters:
        `objEquipmentState` - Object of Equipment State.

    - #### setLocal_RemoteControlState

          public void setLocal_RemoteControlState(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Local Remote Control State. This field identify the current state of control associate with the equipment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLocal_RemoteControlState

          public void setLocal_RemoteControlState(CWE objLocal_RemoteControlState)

      Set the Local Remote Control State. This field identify the current state of control associate with the equipment.
      Parameters:
        `objLocal_RemoteControlState` - Object of Local Remote Control State.

    - #### setAlertLevel

          public void setAlertLevel(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Alert Level. This field identify the highest level of the alert state.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAlertLevel

          public void setAlertLevel(CWE objAlertLevel)

      Set the Alert Level. This field identify the highest level of the alert state.
      Parameters:
        `objAlertLevel` - Object of Alert Level.

    - #### getAlertLevel

          public CWE getAlertLevel()

      Retrieves the Alert Level. This field identify the highest level of the alert state.
      Returns:
        CWE - alertLevel

    - #### getEquipmentInstanceIdentifier

          public EI getEquipmentInstanceIdentifier()

      Retrieves the Equipment Instance Identifier. This field specify who identify the equipment.
      Returns:
        EI - equipmentInstanceIdentifier

    - #### getEquipmentState

          public CWE getEquipmentState()

      Retrieves the Equipment State. This field identify the status of the equipment, at the time, that the transaction is initiate.
      Returns:
        CWE - equipmentState

    - #### getEventDate_Time

          public DTM getEventDate_Time()

      Retrieves the Event Date Time. This field shows the date/time of the event occurr.
      Returns:
        DTM - eventDate_Time

    - #### getLocal_RemoteControlState

          public CWE getLocal_RemoteControlState()

      Retrieves the Local Remote Control State. This field identify the current state of control associate with the equipment.
      Returns:
        CWE - local_RemoteControlState

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails